Redmine.pm shall decrypt LDAP bind password
Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

Related issues:

Related to Redmine - Feature #7411: Option to cipher LDAP ans SCM passwords s... Closed 2011-01-22

History

#1 - 2020-09-11 02:04 - Anonymous

Redmine saves LDAP bind password on the table auth_sources with encryption by AES-256-CBC. Redmine itself is aware of the encryption and read

out it with decryption.

On the other hand, Redmine.pm is reading the relational database directly without decryption and fails to bind LDAP and finally fails to authenticate

Subversion access.

#2 - 2020-09-11 02:18 - Anonymous

There is no way to read out cipher_key setting from config/configuration.yml from perl and then it is difficult to integrate Redmine.pm to Redmine.

#3 - 2020-09-11 02:21 - Go MAEDA

- Tracker changed from Feature to Defect

- Category changed from Accounts / authentication to SCM extra

- Status changed from New to Confirmed

- Affected version set to 1.2.0

#4 - 2020-09-11 02:21 - Go MAEDA

- Related to Feature #7411: Option to cipher LDAP ans SCM passwords stored in the database added

#5 - 2020-09-11 02:27 - Go MAEDA

徹 原口 wrote:

There is no way to read out cipher_key setting from config/configuration.yml from perl and then it is difficult to integrate Redmine.pm to Redmine.

 Maybe Redmine.pm should support a new directive such as RedmineDbCiperKey.

#6 - 2020-09-11 02:34 - Anonymous

Since our company changed LDAP service to require bind and the old one will be ceased at 9/30, some work around is needed.

#7 - 2020-09-11 03:00 - Anonymous

Will somebody insist a best ciphering lib for perl?

#8 - 2020-09-11 03:14 - Anonymous

Oh, there was.

https://metacpan.org/pod/Crypt::Cipher::AES

#9 - 2020-09-11 03:23 - Anonymous

As an workaround, I will make the password constant in Redmine.pm so far. Please resolve this contradiction in near future.
